/*
 * util.cpp 
 *
 * Copyright (C) 1999 Waldo Bastian
 *
 */

#include "util.h"

bool match(QString &str, const char *m)
{
  int i = 0;
  int l = str.length();
  const QChar *u= str.unicode();
  while( (i < l) && *m && (*u++ == *m++))
     i++;
  
  if ((i >= l) || *m) return false;
  str = str.mid(i);
  return true;
}
